[android-components](../../index.md) / [mozilla.components.support.locale](../index.md) / [LocaleAwareApplication](./index.md)

# LocaleAwareApplication

`open class LocaleAwareApplication` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/locale/src/main/java/mozilla/components/support/locale/LocaleAwareApplication.kt#L14)

Base application for apps that want to customized the system defined language by their own.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `LocaleAwareApplication()`<br>Base application for apps that want to customized the system defined language by their own. |

### Functions

| Name | Summary |
|---|---|
| [attachBaseContext](attach-base-context.md) | `open fun attachBaseContext(base: <ERROR CLASS>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
| [onConfigurationChanged](on-configuration-changed.md) | `open fun onConfigurationChanged(config: <ERROR CLASS>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |

### Extension Functions

| Name | Summary |
|---|---|
| [loadResourceAsString](../../mozilla.components.support.test.file/kotlin.-any/load-resource-as-string.md) | `fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Loads a file from the resources folder and returns its content as a string object. |
